diagrams fails to install

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

diagrams fails to install

Roger Mason
Hello,

I'm trying to install Diagrams on FreeBSD 10.  It fails thus:

cabal install diagrams    
Resolving dependencies...
Configuring arithmoi-0.4.1.1...
Building arithmoi-0.4.1.1...
Preprocessing library arithmoi-0.4.1.1...
[ 1 of 34] Compiling Math.NumberTheory.Primes.Sieve.Indexing ( Math/NumberTheory/Primes/Sieve/Indexing.hs, dist/build/Math/NumberTheory/Primes/Sieve/Indexing.o )

<no location info>:
    Warning: Couldn't figure out LLVM version!
             Make sure you have installed LLVM
ghc: could not execute: opt
Failed to install arithmoi-0.4.1.1
cabal-install: Error: some packages failed to install:
arithmoi-0.4.1.1 failed during the building phase. The exception was:
ExitFailure 1
diagrams-1.2 depends on arithmoi-0.4.1.1 which failed to install.
diagrams-contrib-1.1.2.1 depends on arithmoi-0.4.1.1 which failed to install.

ghc --info reports:

[("Project name","The Glorious Glasgow Haskell Compilation System")
 ,("GCC extra via C opts"," -fwrapv")
 ,("C compiler command","gcc47")
 ,("C compiler flags"," -fno-stack-protector  -Wl,--hash-size=31 -Wl,--reduce-memory-overheads")
 ,("ar command","/usr/bin/ar")
 ,("ar flags","clqs")
 ,("ar supports at file","NO")
 ,("touch command","touch")
 ,("dllwrap command","/bin/false")
 ,("windres command","/bin/false")
 ,("perl command","/usr/bin/perl")
 ,("target os","OSFreeBSD")
 ,("target arch","ArchX86")
 ,("target word size","4")
 ,("target has GNU nonexec stack","True")
 ,("target has .ident directive","True")
 ,("target has subsections via symbols","False")
 ,("LLVM llc command","llc")
 ,("LLVM opt command","opt")
 ,("Project version","7.6.3")
 ,("Booter version","7.6.3")
 ,("Stage","2")
 ,("Build platform","i386-portbld-freebsd")
 ,("Host platform","i386-portbld-freebsd")
 ,("Target platform","i386-portbld-freebsd")
 ,("Have interpreter","YES")
 ,("Object splitting supported","YES")
 ,("Have native code generator","YES")
 ,("Support SMP","YES")
 ,("Unregisterised","NO")
 ,("Tables next to code","YES")
 ,("RTS ways","l debug  thr thr_debug thr_l thr_p dyn debug_dyn thr_dyn thr_debug_dyn")
 ,("Leading underscore","NO")
 ,("Debug on","False")
 ,("LibDir","/usr/local/lib/ghc-7.6.3")
 ,("Global Package DB","/usr/local/lib/ghc-7.6.3/package.conf.d")
 ,("Gcc Linker flags","[\"-Wl,--hash-size=31\",\"-Wl,--reduce-memory-overheads\"]")
 ,("Ld Linker flags","[\"--hash-size=31\",\"--reduce-memory-overheads\"]")
 ]

opt is installed as /usr/local/bin/opt32, so I tried symlinking
/usr/local/bin/opt to it, but the error remains.

Is there some workaround?

Thanks,
Roger
_______________________________________________
Haskell-Cafe mailing list
[hidden email]
http://www.haskell.org/mailman/listinfo/haskell-cafe
Reply | Threaded
Open this post in threaded view
|

Re: diagrams fails to install

Roger Mason
Hello Mike,

Mike Meyer <[hidden email]> writes:

> You should have a /usr/local/llvm32 directory. If so, try:
>
> PATH=/usr/local/llvm32/bin:$PATH cabal install diagrams.
>
> I have llvm34 installed, and it worked for me using
> /usr/local/llvm34/bin:$PATH.
>

Thank you, that worked.

best wishes,
Roger
_______________________________________________
Haskell-Cafe mailing list
[hidden email]
http://www.haskell.org/mailman/listinfo/haskell-cafe